/* global describe it */

const should = require('should');
const common = require('../lib/common');

describe('#common', () => {
    describe('#guessSuffix', () => {
        it('should handle missing suffix', () => {
            should.not.exist(common.guessSuffix('xxx'));
        });

        it('should return correct suffix', () => {
            common.guessSuffix('xxx@yyy').should.equal('@yyy');
            common.guessSuffix('xxx@yyy@zzz').should.equal('@zzz');
        })
    });

    describe('#isPhoneNumber', () => {
        it('should detect correctly', () => {
            common.isPhoneNumber('0818').should.be.ok();
            common.isPhoneNumber('62818').should.be.ok();
            common.isPhoneNumber('+62818').should.be.ok();
            common.isPhoneNumber('ada').should.not.be.ok();
        });
    });

    describe('#indonesiaIntlNumberToZeroPrefix', () => {
        it('should transform correctly', () => {
            common.indonesiaIntlNumberToZeroPrefix('+62818').should.equal('0818');
            common.indonesiaIntlNumberToZeroPrefix('0818').should.equal('0818');
            common.indonesiaIntlNumberToZeroPrefix('ada').should.equal('ada');
        });
    })
});